<template>
	<div class="container">
		<div class="row">
			<div :class="columnClass" v-for="(card, i) in content.cards" :key="i">
				<div class="card">
					<img :src="card.image" v-if="card.image" :alt="card.title" class="card__image" :style="{height: content.image_height || false }">
					<emoji :emoji="card.emoji" v-else-if="card.emoji" class="card__image card__image--emoji" />
					<div class="card__title" v-html="card.title"></div>
					<div class="card__text" v-html="card.text"></div>
					<a v-if="card.link" :href="card.link" class="card__link">Перейти →</a>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
import Mixin from '../BuilderBlockMixin.vue'
export default {
	mixins: [
		Mixin
	],
	props: [],
	computed: {
		columnClass() {
			switch (this.content.columns) {
				case 2:
					return 'col-md-6';
					break;

				// Default is 3
				default:
					return 'col-lg-4 col-md-6';
					break;
			}
		}
	}
}
</script>

<style lang="scss">
@import "~/assets/scss/builder/features";
</style>
